Part Cube

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Page suivante : Cylindre Part Cylinder.svg Arrow-right.svg

Part Box.svg Part Cube

Emplacement du menu
Pièce → Primitives → Cube
Ateliers
Atelier Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Cube de l'atelier Part insère un parallélépipède rectangle paramétrique dans le document actif. Par défaut, la commande insère un cube de 10x10x10 mm positionné à l'origine avec l'étiquette "cube". Ces paramètres peuvent être édités une fois que l'objet a été ajouté.

Part_Box

Utilisation

  1. Basculez vers l'Workbench Part.svg Atelier Part
  2. Lancez la commande de plusieurs manières:
    • Appuyez sur le bouton Part Box.svg Cube dans la barre d'outils.
    • Sélectionnez Pièce → Primitives → Part Box.svg Cube dans la barre de menus.

Résultat: le résultat par défaut est une boîte dont la longueur, la largeur et la hauteur sont égales à 10 mm. Elle est attachée au plan xy global et un bord coïncide avec l'axe z global.

Les propriétés de la boîte peuvent ensuite être modifiées, soit dans l'éditeur de propriétés, soit en double-cliquant sur la boîte dans l'arbre du modèle.

Propriétés

Box

  • DonnéesLength : paramètre longueur est la dimension de la boîte dans la direction x.
  • DonnéesWidth : paramètre largeur est la dimension de la boîte dans la direction y.
  • DonnéesHeight : paramètre hauteur est la dimension de la boîte dans la direction z.

Script

Un Part Cube peut être créé en utilisant la fonction suivante:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • "myBox" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Vous pouvez accéder aux attributs de l'objet box et les modifier. Par exemple, vous pouvez modifier les paramètres de longueur, largeur et hauteur.

box.Length = 25
box.Width = 15
box.Height = 30

Vous pouvez changer son emplacement avec:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))


FreeCAD.png
Page suivante : Cylindre Part Cylinder.svg Arrow-right.svg